landingpage/urls.py
from django.conf.urls import url
from . import views
from django.shortcuts import render
from django.urls import path
from django.contrib import admin

app_name = 'landingpage'
urlpatterns = [
    path('add_form/', views.add_form, name = 'add_form'),
    path('view_status/', views.view_status, name = 'view_status'),
    path('delete_status/<int:pk>', views.delete_status, name='delete_status'),
]

webstory6ppw/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landingpage.urls')),
]

landingpage/models.py
from django.db import models
import datetime

# Create your models here.
class Status(models.Model):
    isiStatus = models.CharField(max_length=300)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)
    

landingpage/forms.py
from django import forms
from .models import Status
from django.forms import ModelForm

class StatusForm(ModelForm):
    class Meta:
        model = Status
        fields = ['isiStatus']
        labels = {'isiStatus':'Status'}
        widgets = {'isiStatus':forms.TextInput(attrs={'class':'form-control','type':'text'}),}

landingpage/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .forms import StatusForm
from .models import Status
from django.shortcuts import redirect, reverse
import datetime

# Create your views here.
def add_form(request):
    if request.method == "POST":
        form = StatusForm(request.POST)
        if form.is_valid():
            response = {}
            response['isiStatus'] = request.POST['isiStatus']
            form_item = Status(isiStatus=response['isiStatus'])
            form_item.save()
            return redirect(reverse('landingpage:view_status'))
    else:
        form = StatusForm()
    return render(request, 'add_form.html', {'title':'Status Form','form': form})


def view_status(request):
    data = Status.objects.all()
    return render(request, 'view_form.html', {'data':data})

def delete_status(request, pk):
    Status.objects.filter(pk = pk).delete()
    data = Status.objects.all()
    content = {'title':'Status', 'data':data}
    return render(request, 'view_form.html', {'data':data})

landingpage/templates/add_form.html
{% extends "base.html" %}
{% load static %}
{% block content %}
	<h1>Hallo, apa kabar?</h1>
	<br/>
	<br/>
	<br/>
	<h1 style = "margin-left: 120px; margin-top: 30px; font-family: Roboto; color: black;">Status Form</h1>
	<div class = "container" style = "margin-top:120px">
	<div class="row">
    <div class="col-sm-6">
		<form action="{% url 'landingpage:add_form' %}" method="POST">
			{% csrf_token %}
			<div class = "form-group">
				<label for = "Isi Status">{{ form.isiStatus.label_tag }}</label>
				{{ form.isiStatus }}
			</div>
			<a href="{% url 'landingpage:view_status' %}"><button type = "submit" class="btn btn-primary">Submit</button></a>
		</form>
    </div>
	</div>
	</div>
{% endblock %}

landingpage/templates/base.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<title>MY PERSONAL WEBSITE</title>
</head>
<style>
	h1{
		position: absolute;
		z-index: 2;
		color: #fff;
	}
	body{
	background-color: rgba(2,2,2,0.2);
	background-size: cover;
	background-size: 100%;
	position: relative;
	z-index: 1;
	}
</style>
<body>
	<div class="sticky-top">
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		<a class="navbar-brand" href="#">My Website</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav mr-auto">
			<li class="nav-item active">
				<a class="nav-link" href="#">Profil</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'landingpage:add_form' %}">Status</a>
			</li>
			<li class="nav-item dropdown">
				<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				My Experience
				</a>
				<div class="dropdown-menu" aria-labelledby = "navbarDropdown">
				<a class="dropdown-item" href="#">Formal Education</a>
				<a class="dropdown-item" href="#">Non-Formal Education</a>
				<a class="dropdown-item" href="#">Organization</a>
				<a class="dropdown-item" href="#">Comitee</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="#">Galery</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="#">Contact</a>
			</li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
			<input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
			<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Login</button>
			</form>
		</div>
	</nav>
	</div>
	
	{% block content %}
    {% endblock %}
	
	<br/>
	<br/>
	<br/>
	<br/>
	
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>
	

landingpage/templates/view_form.html
{% extends "base.html" %}
{% load static %}

{% block content %}
<br/>
<br/>
<br/>
	<div class = "view_form">
        <h2 style = "color: black; text-align: center; font-family: Roboto">View Status</h2>
		<div class = "container list-group" style = "margin-top:120px; padding:20px">
		<div class = "row">
		<div class = "col-sm-12">
        	{% for item in data %}
		  	<a href = "/view_status/{{ item.id }}" class = "list-group-item list-group-item-action flex-column align-items-start" 
			style = "color: white; background-color: #778899; font-family:'Roboto'; ">
		  		<h3 class = "mb-1">{{ item.isiStatus }}</h3>
		  		<p class = "mb-1">{{ item.created_at }}</p>
				<p class = "mb-1">{{ item.updated_at }}</p>
		  		<a href="{% url 'landingpage:delete_status' pk=item.pk %}"><button type="button" class="btn btn-success btn-sm" style = "float: left">Delete</button></a>
				<a href="{% url 'landingpage:add_form' %}"><button type="button" class="btn btn-success btn-sm" style = "float: left">Back</button></a>
				<br/>
				<br/>
		  	</a>
		  	{% endfor %}
		</div>
		</div>
		</div>
	</div>
{% endblock %}